Loading...
Searching...
No Matches
std Namespace Reference

## Functions

template<typename dist_t , typename pos_t , class distfun_t >
void | swap (GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t > &a, GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t > &b)

## Function Documentation

## swap()

template<typename dist_t , typename pos_t , class distfun_t >

void std::swap | ( | GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t > & | a,
|  | GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t > & | b )

Swap two GeographicLib::NearestNeighbor objects.

Template Parameters

  dist_t | the type used for measuring distances.
  pos_t | the type for specifying the positions of points.
  distfun_t | the type for a function object which calculates distances between points.

Parameters

  [in,out] | a | the first GeographicLib::NearestNeighbor to swap.
  [in,out] | b | the second GeographicLib::NearestNeighbor to swap.

Definition at line 819 of file NearestNeighbor.hpp.

References GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t >::swap().

Referenced by GeographicLib::Math::atan2d(), GeographicLib::Geoid::CacheClear(), GeographicLib::Intersect::Intersect(), GeographicLib::AuxLatitude::Rectifying(), GeographicLib::EllipticFunction::RF(), GeographicLib::EllipticFunction::sncndn(), GeographicLib::Math::swab(), GeographicLib::NearestNeighbor< dist_t, pos_t, distfun_t >::swap(), and GeographicLib::NormalGravity::V0().